Package es.imim.DISGENET.internal.automation.parameters

# Class GeneDiseaseParams

java.lang.Object
es.imim.DISGENET.internal.automation.parameters.GeneDiseaseParams

All Implemented Interfaces:
  `AutomationParams`

public class GeneDiseaseParams extends Object implements AutomationParams

## Constructor Summary

Constructors
Constructor
Description
`GeneDiseaseParams()`
`GeneDiseaseParams(String source, String geneProteinClass, String diseaseClass, String diseaseSearch, String geneSearch, String initialScoreValue, String finalScoreValue)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDiseaseClass()`
`String`
`getDiseaseSearch()`
`String`
`getFinalScoreValue()`
`String`
`getGeneProteinClass()`
`String`
`getGeneSearch()`
`String`
`getInitialScoreValue()`
`String`
`getSource()`
`void`
`setDiseaseClass(String diseaseClass)`
`void`
`setDiseaseSearch(String diseaseSearch)`
`void`
`setFinalScoreValue(String finalScoreValue)`
`void`
`setGeneProteinClass(String geneProteinClass)`
`void`
`setGeneSearch(String geneSearch)`
`void`
`setLowScore(String initialScoreValue)`
`void`
`setSource(String source)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GeneDiseaseParams

public GeneDiseaseParams()

### GeneDiseaseParams

public GeneDiseaseParams(String source, String geneProteinClass, String diseaseClass, String diseaseSearch, String geneSearch, String initialScoreValue, String finalScoreValue)

## Method Details

### getSource

public String getSource()

### setSource

public void setSource(String source)

### getDiseaseClass

public String getDiseaseClass()

### setDiseaseClass

public void setDiseaseClass(String diseaseClass)

### getGeneProteinClass

public String getGeneProteinClass()

### setGeneProteinClass

public void setGeneProteinClass(String geneProteinClass)

### getDiseaseSearch

public String getDiseaseSearch()

### setDiseaseSearch

public void setDiseaseSearch(String diseaseSearch)

### getGeneSearch

public String getGeneSearch()

### setGeneSearch

public void setGeneSearch(String geneSearch)

### getInitialScoreValue

public String getInitialScoreValue()

### setLowScore

public void setLowScore(String initialScoreValue)

### getFinalScoreValue

public String getFinalScoreValue()

### setFinalScoreValue

public void setFinalScoreValue(String finalScoreValue)